Linux搭建Qt5.14开发环境-傻瓜式

发布于 2019-12-31  2.94k 次阅读


0 安装c++开发环境

一般的系统应该都默认装了=。=

sudo apt-get update
sudo apt-get install gcc g++ 

1

输入网址 http://download.qt.io/archive/qt/5.14/5.14.0/

上面的网站,估计下载很慢,这里贴上一个清华源的。https://mirrors.tuna.tsinghua.edu.cn/qt/official_releases/qt/5.14/5.14.0/

下载run文件,这是Linux上的一个可执行文件的格式

2

下载完成,进入下载目录,右键-终端。执行命令,给可执行权限

chmod a+x ./qt-opensource-linux-x64-5.14.0.run

然后终端运行,开始安装

./qt-opensource-linux-x64-5.14.0.run

一直下一步 or next,自己选择安装目录(这个不讲究,随便一个就行,我这里选择默认的

next


红框中的两个是必选的,然后我一个个解释

  • Desktop gcc 64-bit 这是Qt预编译好的64位的Qt库。
  • Developer and Designer Tools 这就是我们的主角QtCreator
  • Qt WebEngine 这是Qt替代Webkit的库,这个装不装都行。

接下来就同意人家协议呗,不同意不给用。选LGPL(这个动态链接不花钱


安装呗


挺快的


点击完成,打开QtCreator

点击工具菜单下的选项,打开

观察Kit的选择,发现Qt的版本已经安装好了,对应的路径也在上面(装上就是配置好的

点开编译器 发现系统自带的GCC也已经识别出来了。(我这里也是什么都没动

然后点开Kit,发现编译器已经选好了,QtVersion也已经好了。(这里也什么都没动
这说明环境已经搭建好了。然后点击确定

测试

新建项目

点击New按钮,然后跟着图一步步来

1

2

4

5

6

7

8

然后选咱们刚才配好的Kit(实际上啥都没干。

9

点击完成
项目就建立好了。

编译

1

右键项目先 执行qmake -> 构建

2

发现报错

3

参考这篇文章

Linux编译Qt程序报错:-1: error: cannot find -lGL :-1: error: collect2: error: ld returned 1 exit status

4

然后再构建
发现通过。

5 succeed

点击运行,发现运行成功!

小结

至此,Linux上的Qt环境的搭建已经完成,这个是方式是相当简单的,基本上一直下一步就可以了。

欢迎关注我的小程序,小程序内容与网站自动保持同步

欢迎关注我的微信公众号,本网站所有的文章以及更新以后都会手动同步到微信公众号上。


公交车司机终于在众人的指责中将座位让给了老太太